Hi Stuart,

> > Ah, this was the bit I was missing in my head. ie. not a Build-Depends :)
> 
> both, actually. diffoscope FTBFS in buster 
[..]

I'll leave these to Mattia has he has been playing about in this area
recently.

> You'd set that environment variable in d/rules and d/tests/* (and so could 
> other distros who want to test that packages are working)

Sure of course one would take this approach, but just out of curiousity
whether there is a 100% reliable one set by ci.debian.net?

> > (One difficulty with "just" extending @tool_required is that sometimes
> > we really do want to skip the tests as they require a newer/older
> > version of a particular tool in order that we can correctly match up
> > the output.)
> 
> If the newer/older version doesn't work, surely the test should fail?

work != differ. If it *fails*, sure (and we handle/fix those), but
ironically don't guarantee that the output of diffoscope will be reproducible
across (invented example here) ImageMagick 5.1 and 5.2.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Reply via email to